Create a single annotation.
cURL
curl --request POST \ --url https://api.example.com/api/v1/datasets/{dataset_id}/annotation-sets/{annotation_set_id}/annotations \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "audio_file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "artifact_type": "<string>", "start_ms": 1, "end_ms": 123, "confidence": 1, "extra_data": {} } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "annotation_set_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "audio_file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "artifact_type": "<string>", "start_ms": 123, "end_ms": 123, "confidence": 123, "extra_data": {}, "created_at": "2023-11-07T05:31:56Z" }
Request to create an annotation.
1 - 100
x >= 0
0 <= x <= 1
Successful Response
Annotation response.